void printc(char val);

int main()
{
  char *string = "abcdefg";
  char s[] = "ABCDEFG";
  int i;

  for (i = 0; string[i]; i++)
    printc(string[i]);

  for (i = 0; s[i]; i++)
    printc(s[i]);

  return 0;
}
